Package org.eclipse.cdt.core.settings.model.util

## Class PathEntryResolveInfoElement

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.util.PathEntryResolveInfoElement

    public class PathEntryResolveInfoElement
    extends Object

### Constructor Summary

Constructors
`PathEntryResolveInfoElement​(IPathEntry rawEntry, List<IPathEntry> resolvedList)`
`PathEntryResolveInfoElement​(IPathEntry rawEntry, IPathEntry resolvedEntry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IPathEntry` `getRawEntry()`
`IPathEntry[]` `getResolvedEntries()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathEntryResolveInfoElement

    public PathEntryResolveInfoElement​(IPathEntry rawEntry,
                                       IPathEntry resolvedEntry)

#### PathEntryResolveInfoElement

    public PathEntryResolveInfoElement​(IPathEntry rawEntry,
                                       List<IPathEntry> resolvedList)

### Method Detail

#### getRawEntry

    public IPathEntry getRawEntry()

#### getResolvedEntries

    public IPathEntry[] getResolvedEntries()